Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltgen_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltgen_loc.F90	(revision 5101)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltgen_loc.F90	(revision 5101)
@@ -0,0 +1,543 @@
+! $Header$
+
+SUBROUTINE vlspltgen_loc(q, pente_max, masse, w, pbaru, pbarv, &
+        pdt, p, pk, teta)
+
+  !
+  ! Auteurs:   P.Le Van, F.Hourdin, F.Forget, F.Codron
+  !
+  !    ********************************************************************
+  !      Schema  d'advection " pseudo amont " .
+  !  + test sur humidite specifique: Q advecte< Qsat aval
+  !               (F. Codron, 10/99)
+  !    ********************************************************************
+  ! q,pbaru,pbarv,w sont des arguments d'entree  pour le s-pg ....
+  !
+  ! pente_max facteur de limitation des pentes: 2 en general
+  !                                            0 pour un schema amont
+  ! pbaru,pbarv,w flux de masse en u ,v ,w
+  ! pdt pas de temps
+  !
+  ! teta temperature potentielle, p pression aux interfaces,
+  ! pk exner au milieu des couches necessaire pour calculer Qsat
+  !   --------------------------------------------------------------------
+  USE parallel_lmdz
+  USE mod_hallo
+  USE Write_Field_loc
+  USE VAMPIR
+  ! ! CRisi: on rajoute variables utiles d'infotrac
+  USE infotrac, ONLY: nqtot, tracers, isoCheck
+  USE vlspltgen_mod
+  USE comconst_mod, ONLY: cpp
+  USE logic_mod, ONLY: adv_qsat_liq
+  USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
+  IMPLICIT NONE
+
+  !
+  include "dimensions.h"
+  include "paramet.h"
+
+  !
+  !   Arguments:
+  !   ----------
+  REAL :: masse(ijb_u:ije_u, llm), pente_max
+  REAL :: pbaru(ijb_u:ije_u, llm), pbarv(ijb_v:ije_v, llm)
+  REAL :: q(ijb_u:ije_u, llm, nqtot)
+  REAL :: w(ijb_u:ije_u, llm), pdt
+  REAL :: p(ijb_u:ije_u, llmp1), teta(ijb_u:ije_u, llm)
+  REAL :: pk(ijb_u:ije_u, llm)
+  !
+  !  Local
+  !   ---------
+  !
+  INTEGER :: ij, l
+  !
+  REAL :: zzpbar, zzw
+
+  REAL :: qmin, qmax
+  DATA qmin, qmax/0., 1.e33/
+
+  !--pour rapport de melange saturant--
+
+  REAL :: rtt, retv, r2es, r3les, r3ies, r4les, r4ies, play
+  REAL :: ptarg, pdelarg, foeew, zdelta
+  REAL :: tempe(ijb_u:ije_u)
+  INTEGER :: ijb, ije, iq, iq2, ifils
+  LOGICAL, SAVE :: firstcall = .TRUE.
+  !$OMP THREADPRIVATE(firstcall)
+  type(request), SAVE :: MyRequest1
+  !$OMP THREADPRIVATE(MyRequest1)
+  type(request), SAVE :: MyRequest2
+  !$OMP THREADPRIVATE(MyRequest2)
+  !    fonction psat(T)
+
+  FOEEW (PTARG, PDELARG) = EXP (&
+          (R3LES * (1. - PDELARG) + R3IES * PDELARG) * (PTARG - RTT) &
+                  / (PTARG - (R4LES * (1. - PDELARG) + R4IES * PDELARG)))
+
+  r2es = 380.11733
+  r3les = 17.269
+  r3ies = 21.875
+  r4les = 35.86
+  r4ies = 7.66
+  retv = 0.6077667
+  rtt = 273.16
+
+  ! Allocate variables depending on dynamic variable nqtot
+
+  IF (firstcall) THEN
+    firstcall = .FALSE.
+  END IF
+  !-- Calcul de Qsat en chaque point
+  !-- approximation: au milieu des couches play(l)=(p(l)+p(l+1))/2
+  !   pour eviter une exponentielle.
+
+  CALL SetTag(MyRequest1, 100)
+  CALL SetTag(MyRequest2, 101)
+
+  ijb = ij_begin - iip1
+  ije = ij_end + iip1
+  if (pole_nord) ijb = ij_begin
+  if (pole_sud) ije = ij_end
+
+  !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+  DO l = 1, llm
+    DO ij = ijb, ije
+      tempe(ij) = teta(ij, l) * pk(ij, l) / cpp
+    ENDDO
+    DO ij = ijb, ije
+      IF (adv_qsat_liq) THEN
+        zdelta = 0.
+      ELSE
+        zdelta = MAX(0., SIGN(1., rtt - tempe(ij)))
+      ENDIF
+      play = 0.5 * (p(ij, l) + p(ij, l + 1))
+      qsat(ij, l) = MIN(0.5, r2es * FOEEW(tempe(ij), zdelta) / play)
+      qsat(ij, l) = qsat(ij, l) / (1. - retv * qsat(ij, l))
+    ENDDO
+  ENDDO
+  !$OMP END DO NOWAIT
+  ! PRINT*,'Debut vlsplt version debug sans vlyqs'
+
+  zzpbar = 0.5 * pdt
+  zzw = pdt
+
+  ijb = ij_begin
+  ije = ij_end
+  if (pole_nord) ijb = ijb + iip1
+  if (pole_sud)  ije = ije - iip1
+
+  !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+  DO l = 1, llm
+    DO ij = ijb, ije
+      mu(ij, l) = pbaru(ij, l) * zzpbar
+    ENDDO
+  ENDDO
+  !$OMP END DO NOWAIT
+
+  ijb = ij_begin - iip1
+  ije = ij_end
+  if (pole_nord) ijb = ij_begin
+  if (pole_sud)  ije = ij_end - iip1
+
+  !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+  DO l = 1, llm
+    DO ij = ijb, ije
+      mv(ij, l) = pbarv(ij, l) * zzpbar
+    ENDDO
+  ENDDO
+  !$OMP END DO NOWAIT
+
+  ijb = ij_begin
+  ije = ij_end
+
+  DO iq = 1, nqtot
+    !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+    DO l = 1, llm
+      DO ij = ijb, ije
+        mw(ij, l, iq) = w(ij, l) * zzw
+      ENDDO
+    ENDDO
+    !$OMP END DO NOWAIT
+  ENDDO
+
+  DO iq = 1, nqtot
+    !$OMP MASTER
+    DO ij = ijb, ije
+      mw(ij, llm + 1, iq) = 0.
+    ENDDO
+    !$OMP END MASTER
+  ENDDO
+
+  ! CALL SCOPY(ijp1llm,q,1,zq,1)
+  ! CALL SCOPY(ijp1llm,masse,1,zm,1)
+
+  ijb = ij_begin
+  ije = ij_end
+
+  DO iq = 1, nqtot
+    !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+    DO l = 1, llm
+      zq(ijb:ije, l, iq) = q(ijb:ije, l, iq)
+      zm(ijb:ije, l, iq) = masse(ijb:ije, l)
+    ENDDO
+    !$OMP END DO NOWAIT
+  ENDDO
+
+  IF (CPPKEY_DEBUGIO) THEN
+    CALL WriteField_u('mu', mu)
+    CALL WriteField_v('mv', mv)
+    CALL WriteField_u('mw', mw)
+    CALL WriteField_u('qsat', qsat)
+  END IF
+
+  ! ! verif temporaire
+  ijb = ij_begin
+  ije = ij_end
+  CALL check_isotopes(zq, ijb, ije, 'vlspltgen_loc 191')
+
+  !$OMP BARRIER
+  DO iq = 1, nqtot
+    ! ! CRisi: on ne boucle que sur les pères= ceux qui sont transportés directement par l'air
+    IF(tracers(iq)%parent /= 'air') CYCLE
+    ! !write(*,*) 'vlspltgen 192: iq,iadv=',iq,tracers(iq)%iadv
+    IF (CPPKEY_DEBUGIO) THEN
+      CALL WriteField_u('zq', zq(:, :, iq))
+      CALL WriteField_u('zm', zm(:, :, iq))
+    END IF
+    SELECT CASE(tracers(iq)%iadv)
+    CASE(0); CYCLE
+    CASE(10)
+#ifdef _ADV_HALO
+  ! CRisi: on ajoute les nombres de fils et tableaux des fils
+  ! On suppose qu'on ne peut advecter les fils que par le schéma 10.
+      CALL vlx_loc(zq,pente_max,zm,mu, &
+            ij_begin,ij_begin+2*iip1-1,iq)
+      CALL vlx_loc(zq,pente_max,zm,mu, &
+            ij_end-2*iip1+1,ij_end,iq)
+#else
+      CALL vlx_loc(zq, pente_max, zm, mu, &
+              ij_begin, ij_end, iq)
+#endif
+
+      !$OMP MASTER
+      CALL VTb(VTHallo)
+      !$OMP END MASTER
+      CALL Register_Hallo_u(zq(:, :, iq), llm, 2, 2, 2, 2, MyRequest1)
+      CALL Register_Hallo_u(zm(:, :, iq), llm, 1, 1, 1, 1, MyRequest1)
+      ! CRisi
+      do ifils = 1, tracers(iq)%nqDescen
+        iq2 = tracers(iq)%iqDescen(ifils)
+        CALL Register_Hallo_u(zq(:, :, iq2), llm, 2, 2, 2, 2, MyRequest1)
+        CALL Register_Hallo_u(zm(:, :, iq2), llm, 1, 1, 1, 1, MyRequest1)
+      enddo
+
+      !$OMP MASTER
+      CALL VTe(VTHallo)
+      !$OMP END MASTER
+    CASE(14)
+#ifdef _ADV_HALO
+      CALL vlxqs_loc(zq,pente_max,zm,mu, &
+            qsat,ij_begin,ij_begin+2*iip1-1,iq)
+      CALL vlxqs_loc(zq,pente_max,zm,mu, &
+            qsat,ij_end-2*iip1+1,ij_end,iq)
+#else
+      CALL vlxqs_loc(zq, pente_max, zm, mu, &
+              qsat, ij_begin, ij_end, iq)
+#endif
+
+      !$OMP MASTER
+      CALL VTb(VTHallo)
+      !$OMP END MASTER
+
+      CALL Register_Hallo_u(zq(:, :, iq), llm, 2, 2, 2, 2, MyRequest1)
+      CALL Register_Hallo_u(zm(:, :, iq), llm, 1, 1, 1, 1, MyRequest1)
+      do ifils = 1, tracers(iq)%nqDescen
+        iq2 = tracers(iq)%iqDescen(ifils)
+        CALL Register_Hallo_u(zq(:, :, iq2), llm, 2, 2, 2, 2, MyRequest1)
+        CALL Register_Hallo_u(zm(:, :, iq2), llm, 1, 1, 1, 1, MyRequest1)
+      enddo
+
+      !$OMP MASTER
+      CALL VTe(VTHallo)
+      !$OMP END MASTER
+    CASE DEFAULT
+      CALL abort_gcm("vlspltgen_loc", "schema non parallelise", 1)
+    END SELECT
+
+  enddo !DO iq=1,nqtot
+
+
+  !$OMP BARRIER
+  !$OMP MASTER
+  CALL VTb(VTHallo)
+  !$OMP END MASTER
+
+  CALL SendRequest(MyRequest1)
+
+  !$OMP MASTER
+  CALL VTe(VTHallo)
+  !$OMP END MASTER
+  !$OMP BARRIER
+
+  ! ! verif temporaire
+  ijb = ij_begin - 2 * iip1
+  ije = ij_end + 2 * iip1
+  if (pole_nord) ijb = ij_begin
+  if (pole_sud)  ije = ij_end
+  CALL check_isotopes(zq, ij_begin, ij_end, 'vlspltgen_loc 280')
+
+  do iq = 1, nqtot
+    IF(tracers(iq)%parent /= 'air') CYCLE
+    ! !write(*,*) 'vlspltgen 279: iq=',iq
+
+    SELECT CASE(tracers(iq)%iadv)
+    CASE(0); CYCLE
+    CASE(10)
+#ifdef _ADV_HALLO
+      CALL vlx_loc(zq,pente_max,zm,mu, &
+            ij_begin+2*iip1,ij_end-2*iip1,iq)
+#endif
+    CASE(14)
+#ifdef _ADV_HALLO
+      CALL vlxqs_loc(zq,pente_max,zm,mu, &
+            qsat,ij_begin+2*iip1,ij_end-2*iip1,iq)
+#endif
+    CASE DEFAULT
+      CALL abort_gcm("vlspltgen_p", "schema non parallelise", 1)
+    END SELECT
+
+  enddo
+  !$OMP BARRIER
+  !$OMP MASTER
+  CALL VTb(VTHallo)
+  !$OMP END MASTER
+
+  ! CALL WaitRecvRequest(MyRequest1)
+  ! CALL WaitSendRequest(MyRequest1)
+  !$OMP BARRIER
+  CALL WaitRequest(MyRequest1)
+
+
+  !$OMP MASTER
+  CALL VTe(VTHallo)
+  !$OMP END MASTER
+  !$OMP BARRIER
+
+  IF(isoCheck) THEN
+    CALL check_isotopes(zq, ij_begin, ij_end, 'vlspltgen_loc 326')
+    ijb = ij_begin - 2 * iip1
+    ije = ij_end + 2 * iip1
+    if (pole_nord) ijb = ij_begin
+    if (pole_sud)  ije = ij_end
+    CALL check_isotopes(zq, ijb, ije, 'vlspltgen_loc 336')
+  END IF
+
+  do iq = 1, nqtot
+    IF(tracers(iq)%parent /= 'air') CYCLE
+    ! !write(*,*) 'vlspltgen 321: iq=',iq
+    IF (CPPKEY_DEBUGIO) THEN
+      CALL WriteField_u('zq', zq(:, :, iq))
+      CALL WriteField_u('zm', zm(:, :, iq))
+    END IF
+
+    SELECT CASE(tracers(iq)%iadv)
+    CASE(0); CYCLE
+    CASE(10); CALL   vly_loc(zq, pente_max, zm, mv, iq)
+    CASE(14); CALL vlyqs_loc(zq, pente_max, zm, mv, qsat, iq)
+    CASE DEFAULT
+      CALL abort_gcm("vlspltgen_p", "schema non parallelise", 1)
+    END SELECT
+
+  enddo
+
+  CALL check_isotopes(zq, ij_begin, ij_end, 'vlspltgen_loc 357')
+
+  do iq = 1, nqtot
+    IF(tracers(iq)%parent /= 'air') CYCLE
+    ! !write(*,*) 'vlspltgen 349: iq=',iq
+    IF (CPPKEY_DEBUGIO) THEN
+      CALL WriteField_u('zq', zq(:, :, iq))
+      CALL WriteField_u('zm', zm(:, :, iq))
+    END IF
+    SELECT CASE(tracers(iq)%iadv)
+    CASE(0); CYCLE
+    CASE(10, 14)
+      !$OMP BARRIER
+#ifdef _ADV_HALLO
+      CALL vlz_loc(zq,pente_max,zm,mw, &
+            ij_begin,ij_begin+2*iip1-1,iq)
+      CALL vlz_loc(zq,pente_max,zm,mw, &
+            ij_end-2*iip1+1,ij_end,iq)
+#else
+      CALL vlz_loc(zq, pente_max, zm, mw, &
+              ij_begin, ij_end, iq)
+#endif
+      !$OMP BARRIER
+
+      !$OMP MASTER
+      CALL VTb(VTHallo)
+      !$OMP END MASTER
+
+      CALL Register_Hallo_u(zq(:, :, iq), llm, 2, 2, 2, 2, MyRequest2)
+      CALL Register_Hallo_u(zm(:, :, iq), llm, 1, 1, 1, 1, MyRequest2)
+      ! ! CRisi
+      do ifils = 1, tracers(iq)%nqDescen
+        iq2 = tracers(iq)%iqDescen(ifils)
+        CALL Register_Hallo_u(zq(:, :, iq2), llm, 2, 2, 2, 2, MyRequest2)
+        CALL Register_Hallo_u(zm(:, :, iq2), llm, 1, 1, 1, 1, MyRequest2)
+      enddo
+      !$OMP MASTER
+      CALL VTe(VTHallo)
+      !$OMP END MASTER
+      !$OMP BARRIER
+    CASE DEFAULT
+
+      CALL abort_gcm("vlspltgen_p", "schema non parallelise", 1)
+    END SELECT
+
+  enddo
+  !$OMP BARRIER
+
+  !$OMP MASTER
+  CALL VTb(VTHallo)
+  !$OMP END MASTER
+
+  CALL SendRequest(MyRequest2)
+
+  !$OMP MASTER
+  CALL VTe(VTHallo)
+  !$OMP END MASTER
+
+  CALL check_isotopes(zq, ij_begin, ij_end, 'vlspltgen_loc 429')
+
+  !$OMP BARRIER
+  do iq = 1, nqtot
+    IF(tracers(iq)%parent /= 'air') CYCLE
+    ! !write(*,*) 'vlspltgen 409: iq=',iq
+
+    SELECT CASE(tracers(iq)%iadv)
+    CASE(0); CYCLE
+    CASE(10, 14)
+      !$OMP BARRIER
+
+#ifdef _ADV_HALLO
+      CALL vlz_loc(zq,pente_max,zm,mw, &
+            ij_begin+2*iip1,ij_end-2*iip1,iq)
+#endif
+
+      !$OMP BARRIER
+    CASE DEFAULT
+      CALL abort_gcm("vlspltgen_p", "schema non parallelise", 1)
+    END SELECT
+
+  enddo
+  ! !write(*,*) 'vlspltgen_loc 476'
+
+  !$OMP BARRIER
+  ! !write(*,*) 'vlspltgen_loc 477'
+  !$OMP MASTER
+  CALL VTb(VTHallo)
+  !$OMP END MASTER
+
+  ! CALL WaitRecvRequest(MyRequest2)
+  ! CALL WaitSendRequest(MyRequest2)
+  !$OMP BARRIER
+  CALL WaitRequest(MyRequest2)
+
+  !$OMP MASTER
+  CALL VTe(VTHallo)
+  !$OMP END MASTER
+  !$OMP BARRIER
+
+
+  ! !write(*,*) 'vlspltgen_loc 494'
+  CALL check_isotopes(zq, ij_begin, ij_end, 'vlspltgen_loc 461')
+
+  do iq = 1, nqtot
+    IF(tracers(iq)%parent /= 'air') CYCLE
+    ! !write(*,*) 'vlspltgen 449: iq=',iq
+    IF (CPPKEY_DEBUGIO) THEN
+      CALL WriteField_u('zq', zq(:, :, iq))
+      CALL WriteField_u('zm', zm(:, :, iq))
+    END IF
+    SELECT CASE(tracers(iq)%iadv)
+    CASE(0); CYCLE
+    CASE(10); CALL   vly_loc(zq, pente_max, zm, mv, iq)
+    CASE(14); CALL vlyqs_loc(zq, pente_max, zm, mv, qsat, iq)
+    CASE DEFAULT
+      CALL abort_gcm("vlspltgen_p", "schema non parallelise", 1)
+    END SELECT
+
+  enddo !do iq=1,nqtot
+
+  CALL check_isotopes(zq, ij_begin, ij_end, 'vlspltgen_loc 493')
+
+  do iq = 1, nqtot
+    IF(tracers(iq)%parent /= 'air') CYCLE
+    ! !write(*,*) 'vlspltgen 477: iq=',iq
+    IF (CPPKEY_DEBUGIO) THEN
+      CALL WriteField_u('zq', zq(:, :, iq))
+      CALL WriteField_u('zm', zm(:, :, iq))
+    END IF
+    SELECT CASE(tracers(iq)%iadv)
+    CASE(0); CYCLE
+    CASE(10); CALL   vlx_loc(zq, pente_max, zm, mu, &
+            ij_begin, ij_end, iq)
+    CASE(14); CALL vlxqs_loc(zq, pente_max, zm, mu, &
+            qsat, ij_begin, ij_end, iq)
+    CASE DEFAULT
+      CALL abort_gcm("vlspltgen_p", "schema non parallelise", 1)
+    END SELECT
+
+  enddo !do iq=1,nqtot
+
+  ! !write(*,*) 'vlspltgen 550: apres derniere serie de CALL vlx'
+  CALL check_isotopes(zq, ij_begin, ij_end, 'vlspltgen_loc 521')
+
+  ijb = ij_begin
+  ije = ij_end
+  ! !write(*,*) 'vlspltgen_loc 557'
+  !$OMP BARRIER
+
+  ! !write(*,*) 'vlspltgen_loc 559'
+  DO iq = 1, nqtot
+    ! !write(*,*) 'vlspltgen_loc 561, iq=',iq
+    IF (CPPKEY_DEBUGIO) THEN
+      CALL WriteField_u('zq', zq(:, :, iq))
+      CALL WriteField_u('zm', zm(:, :, iq))
+    END IF
+    !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+    DO l = 1, llm
+      DO ij = ijb, ije
+        ! print *,'zq-->',ij,l,iq,zq(ij,l,iq)
+        ! print *,'q-->',ij,l,iq,q(ij,l,iq)
+        q(ij, l, iq) = zq(ij, l, iq)
+      ENDDO
+    ENDDO
+    !$OMP END DO NOWAIT
+    ! !write(*,*) 'vlspltgen_loc 575'
+
+    !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+    DO l = 1, llm
+      DO ij = ijb, ije - iip1 + 1, iip1
+        q(ij + iim, l, iq) = q(ij, l, iq)
+      ENDDO
+    ENDDO
+    !$OMP END DO NOWAIT
+    ! !write(*,*) 'vlspltgen_loc 583'
+  ENDDO !DO iq=1,nqtot
+
+  CALL check_isotopes(q, ij_begin, ij_end, 'vlspltgen_loc 557')
+
+  !$OMP BARRIER
+
+  !c$OMP MASTER
+  ! CALL WaitSendRequest(MyRequest1)
+  ! CALL WaitSendRequest(MyRequest2)
+  !c$OMP END MASTER
+  !c$OMP BARRIER
+
+  ! !write(*,*) 'vlspltgen 597: sortie'
+  RETURN
+END SUBROUTINE vlspltgen_loc
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltqs_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltqs_loc.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltqs_loc.F	(revision 5101)
@@ -12,5 +12,5 @@
 c   --------------------------------------------------------------------
       USE parallel_lmdz
-      USE infotrac, ONLY : nqtot,tracers, ! CRisi                 &
+      USE infotrac, ONLY: nqtot,tracers, ! CRisi                 &
      &                     min_qParent,min_qMass,min_ratio ! MVals et CRisi7
       IMPLICIT NONE
@@ -331,5 +331,5 @@
         iq2=tracers(iq)%iqDescen(ifils)
         !write(*,*) 'vlxqs 349: on appelle vlx pour iq2=',iq2
-        call vlx_loc(Ratio,pente_max,masse,u_mq,ijb_x,ije_x,iq2)
+        CALL vlx_loc(Ratio,pente_max,masse,u_mq,ijb_x,ije_x,iq2)
       enddo
 ! end CRisi
@@ -394,5 +394,5 @@
 c   --------------------------------------------------------------------
       USE parallel_lmdz
-      USE infotrac, ONLY : nqtot,tracers, ! CRisi                 &
+      USE infotrac, ONLY: nqtot,tracers, ! CRisi                 &
      &                     min_qParent,min_qMass,min_ratio ! MVals et CRisi
       USE comconst_mod, ONLY: pi
@@ -743,5 +743,5 @@
         iq2=tracers(iq)%iqDescen(ifils)
         !write(lunout,*) 'vly: appel recursiv vly iq2=',iq2
-        call vly_loc(Ratio,pente_max,masse,qbyv,iq2)
+        CALL vly_loc(Ratio,pente_max,masse,qbyv,iq2)
       enddo
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/wrgrads.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/wrgrads.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/wrgrads.F	(revision 5101)
@@ -102,7 +102,7 @@
       write(unit(if),'(a12)') 'UNDEF 1.0E30'
       write(unit(if),'(a5,1x,a40)') 'TITLE ',title(if)
-      call formcoord(unit(if),im,xd(iii,if),1.,.false.,'XDEF')
-      call formcoord(unit(if),jm,yd(iji,if),1.,.true.,'YDEF')
-      call formcoord(unit(if),lm,zd(1,if),1.,.false.,'ZDEF')
+      CALL formcoord(unit(if),im,xd(iii,if),1.,.false.,'XDEF')
+      CALL formcoord(unit(if),jm,yd(iji,if),1.,.true.,'YDEF')
+      CALL formcoord(unit(if),lm,zd(1,if),1.,.false.,'ZDEF')
       write(unit(if),'(a4,i10,a30)')
      &       'TDEF ',itime(if),' LINEAR 02JAN1987 1MO '
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/write_field_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/write_field_loc.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/write_field_loc.F90	(revision 5101)
@@ -63,12 +63,12 @@
     ENDDO
 !$OMP BARRIER    
-    call Register_SwapField(new_field,new_field,ip1jmp1,ll,jj_Nb_master,Request_write)
-    call SendRequest(Request_write)
+    CALL Register_SwapField(new_field,new_field,ip1jmp1,ll,jj_Nb_master,Request_write)
+    CALL SendRequest(Request_write)
 !$OMP BARRIER
-    call WaitRequest(Request_write)     
+    CALL WaitRequest(Request_write)
 !$OMP BARRIER
 
 !$OMP MASTER
-    if (MPI_Rank==0) call WriteField(name,New_Field)
+    if (MPI_Rank==0) CALL WriteField(name,New_Field)
     DEALLOCATE(New_Field)
 !$OMP END MASTER        
@@ -139,12 +139,12 @@
     ENDDO
 !$OMP BARRIER    
-    call Register_SwapField(new_field,new_field,ip1jm,ll,jj_Nb_master,Request_write)
-    call SendRequest(Request_write)
+    CALL Register_SwapField(new_field,new_field,ip1jm,ll,jj_Nb_master,Request_write)
+    CALL SendRequest(Request_write)
 !$OMP BARRIER
-    call WaitRequest(Request_write)     
+    CALL WaitRequest(Request_write)
 !$OMP BARRIER
 
 !$OMP MASTER
-    if (MPI_Rank==0) call WriteField(name,New_Field)
+    if (MPI_Rank==0) CALL WriteField(name,New_Field)
     DEALLOCATE(New_Field)
 !$OMP END MASTER        
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/write_field_p.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/write_field_p.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/write_field_p.F90	(revision 5101)
@@ -23,7 +23,7 @@
     allocate(New_Field(Dim(1)))
     New_Field(:)=Field(:)
-    call Gather_Field(New_Field,dim(1),1,0)
+    CALL Gather_Field(New_Field,dim(1),1,0)
     
-    if (MPI_Rank==0) call WriteField(name,New_Field)
+    if (MPI_Rank==0) CALL WriteField(name,New_Field)
     
     end subroutine write_field1D_p
@@ -43,7 +43,7 @@
     allocate(New_Field(Dim(1),Dim(2)))
     New_Field(:,:)=Field(:,:)
-    call Gather_Field(New_Field(1,1),dim(1)*dim(2),1,0)
+    CALL Gather_Field(New_Field(1,1),dim(1)*dim(2),1,0)
     
-    if (MPI_Rank==0) call WriteField(name,New_Field)
+    if (MPI_Rank==0) CALL WriteField(name,New_Field)
     
      
@@ -64,7 +64,7 @@
     allocate(New_Field(Dim(1),Dim(2),Dim(3)))
     New_Field(:,:,:)=Field(:,:,:)
-    call Gather_Field(New_Field(1,1,1),dim(1)*dim(2),dim(3),0)
+    CALL Gather_Field(New_Field(1,1,1),dim(1)*dim(2),dim(3),0)
     
-   if (MPI_Rank==0) call WriteField(name,New_Field)
+   if (MPI_Rank==0) CALL WriteField(name,New_Field)
     
   end subroutine write_field3D_p  
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedyn_xios.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedyn_xios.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedyn_xios.F90	(revision 5101)
@@ -8,9 +8,9 @@
       USE parallel_lmdz
       USE misc_mod
-      USE infotrac, ONLY : nqtot
-      use com_io_dyn_mod, only : histaveid,histvaveid,histuaveid
+      USE infotrac, ONLY: nqtot
+      use com_io_dyn_mod, ONLY: histaveid,histvaveid,histuaveid
       USE comconst_mod, ONLY: cpp
       USE temps_mod, ONLY: itau_dyn
-      USE mod_xios_dyn3dmem, ONLY : writefield_dyn_u, writefield_dyn_v
+      USE mod_xios_dyn3dmem, ONLY: writefield_dyn_u, writefield_dyn_v
       
       implicit none
@@ -97,5 +97,5 @@
 
 ! Passage aux composantes naturelles du vent
-      call covnat_loc(llm, ucov, vcov, unat, vnat)
+      CALL covnat_loc(llm, ucov, vcov, unat, vnat)
 
 !  Appels a histwrite pour l'ecriture des variables a sauvegarder
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedynav_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedynav_loc.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedynav_loc.F	(revision 5101)
@@ -11,6 +11,6 @@
       USE parallel_lmdz
       USE misc_mod
-      USE infotrac, ONLY : nqtot
-      use com_io_dyn_mod, only : histaveid,histvaveid,histuaveid
+      USE infotrac, ONLY: nqtot
+      use com_io_dyn_mod, ONLY: histaveid,histvaveid,histuaveid
       USE comconst_mod, ONLY: cpp
       USE temps_mod, ONLY: itau_dyn
@@ -103,5 +103,5 @@
 
 C Passage aux composantes naturelles du vent
-      call covnat_loc(llm, ucov, vcov, unat, vnat)
+      CALL covnat_loc(llm, ucov, vcov, unat, vnat)
 
 C
@@ -117,5 +117,5 @@
       jjn=jj_nb
       
-      call histwrite(histuaveid, 'u', itau_w, unat(ijb:ije,:), 
+      CALL histwrite(histuaveid, 'u', itau_w, unat(ijb:ije,:),
      .               iip1*jjn*llm, ndexu)
 !$OMP END MASTER      
@@ -129,5 +129,5 @@
 !$OMP BARRIER
 !$OMP MASTER      
-      call histwrite(histvaveid, 'v', itau_w, vnat(ijb:ije,:), 
+      CALL histwrite(histvaveid, 'v', itau_w, vnat(ijb:ije,:),
      .               iip1*jjn*llm, ndexv)
 !$OMP END MASTER      
@@ -141,5 +141,5 @@
       jjn=jj_nb
 !$OMP MASTER      
-      call histwrite(histaveid, 'theta', itau_w, teta(ijb:ije,:), 
+      CALL histwrite(histaveid, 'theta', itau_w, teta(ijb:ije,:),
      .                iip1*jjn*llm, ndexu)
 !$OMP END MASTER      
@@ -158,5 +158,5 @@
 
 !$OMP MASTER      
-      call histwrite(histaveid, 'temp', itau_w, tm(ijb:ije,:), 
+      CALL histwrite(histaveid, 'temp', itau_w, tm(ijb:ije,:),
      .                iip1*jjn*llm, ndexu)
 !$OMP END MASTER
@@ -167,5 +167,5 @@
 C
 !$OMP MASTER      
-      call histwrite(histaveid, 'phi', itau_w, phi(ijb:ije,:), 
+      CALL histwrite(histaveid, 'phi', itau_w, phi(ijb:ije,:),
      .                iip1*jjn*llm, ndexu)
 !$OMP END MASTER
@@ -177,5 +177,5 @@
 !!$OMP MASTER      
 !        DO iq=1,nqtot
-!          call histwrite(histaveid, tracers(iq)%longName, itau_w, &
+!          CALL histwrite(histaveid, tracers(iq)%longName, itau_w, &
 !     .                   q(ijb:ije,:,iq), iip1*jjn*llm, ndexu)
 !        enddo
@@ -187,5 +187,5 @@
 C
 !$OMP MASTER      
-       call histwrite(histaveid, 'masse', itau_w, masse(ijb:ije,:),
+       CALL histwrite(histaveid, 'masse', itau_w, masse(ijb:ije,:),
      .                iip1*jjn*llm, ndexu)
 !$OMP END MASTER
@@ -197,5 +197,5 @@
 !$OMP MASTER      
 
-       call histwrite(histaveid, 'ps', itau_w, ps(ijb:ije), 
+       CALL histwrite(histaveid, 'ps', itau_w, ps(ijb:ije),
      .                 iip1*jjn, ndex2d)
 !$OMP END MASTER
@@ -205,5 +205,5 @@
 C
 !$OMP MASTER      
-!       call histwrite(histaveid, 'phis', itau_w, phis(ijb:ije),
+!       CALL histwrite(histaveid, 'phis', itau_w, phis(ijb:ije),
 !     .                 iip1*jjn, ndex2d)
 !$OMP END MASTER
@@ -214,7 +214,7 @@
 !$OMP MASTER      
       if (ok_sync) then
-          call histsync(histaveid)
-          call histsync(histvaveid)
-          call histsync(histuaveid)
+          CALL histsync(histaveid)
+          CALL histsync(histvaveid)
+          CALL histsync(histuaveid)
       ENDIF
 !$OMP END MASTER
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writehist_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writehist_loc.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writehist_loc.F	(revision 5101)
@@ -11,6 +11,6 @@
       USE parallel_lmdz
       USE misc_mod
-      USE infotrac, ONLY : nqtot
-      use com_io_dyn_mod, only : histid,histvid,histuid
+      USE infotrac, ONLY: nqtot
+      use com_io_dyn_mod, ONLY: histid,histvid,histuid
       USE comconst_mod, ONLY: cpp
       USE temps_mod, ONLY: itau_dyn
@@ -103,5 +103,5 @@
 
 C Passage aux composantes naturelles du vent
-      call covnat_loc(llm, ucov, vcov, unat, vnat)
+      CALL covnat_loc(llm, ucov, vcov, unat, vnat)
 
 C
@@ -117,5 +117,5 @@
       jjn=jj_nb
       
-      call histwrite(histuid, 'u', itau_w, unat(ijb:ije,:), 
+      CALL histwrite(histuid, 'u', itau_w, unat(ijb:ije,:),
      .               iip1*jjn*llm, ndexu)
 !$OMP END MASTER      
@@ -129,5 +129,5 @@
 !$OMP BARRIER
 !$OMP MASTER      
-      call histwrite(histvid, 'v', itau_w, vnat(ijb:ije,:), 
+      CALL histwrite(histvid, 'v', itau_w, vnat(ijb:ije,:),
      .               iip1*jjn*llm, ndexv)
 !$OMP END MASTER      
@@ -141,5 +141,5 @@
       jjn=jj_nb
 !$OMP MASTER      
-      call histwrite(histid, 'theta', itau_w, teta(ijb:ije,:), 
+      CALL histwrite(histid, 'theta', itau_w, teta(ijb:ije,:),
      .                iip1*jjn*llm, ndexu)
 !$OMP END MASTER      
@@ -158,5 +158,5 @@
 
 !$OMP MASTER      
-      call histwrite(histid, 'temp', itau_w, tm(ijb:ije,:), 
+      CALL histwrite(histid, 'temp', itau_w, tm(ijb:ije,:),
      .                iip1*jjn*llm, ndexu)
 !$OMP END MASTER
@@ -167,5 +167,5 @@
 C
 !$OMP MASTER      
-      call histwrite(histid, 'phi', itau_w, phi(ijb:ije,:), 
+      CALL histwrite(histid, 'phi', itau_w, phi(ijb:ije,:),
      .                iip1*jjn*llm, ndexu)
 !$OMP END MASTER
@@ -177,5 +177,5 @@
 !!$OMP MASTER      
 !        DO iq=1,nqtot
-!          call histwrite(histid, tracers(iq)%longName, itau_w, 
+!          CALL histwrite(histid, tracers(iq)%longName, itau_w,
 !     .                   q(ijb:ije,:,iq), iip1*jjn*llm, ndexu)
 !        enddo
@@ -187,5 +187,5 @@
 C
 !$OMP MASTER      
-       call histwrite(histid, 'masse', itau_w, masse(ijb:ije,:),
+       CALL histwrite(histid, 'masse', itau_w, masse(ijb:ije,:),
      .                iip1*jjn*llm, ndexu)
 !$OMP END MASTER
@@ -196,5 +196,5 @@
 C
 !$OMP MASTER      
-       call histwrite(histid, 'ps', itau_w, ps(ijb:ije), 
+       CALL histwrite(histid, 'ps', itau_w, ps(ijb:ije),
      .                 iip1*jjn, ndex2d)
 !$OMP END MASTER
@@ -204,5 +204,5 @@
 C
 !$OMP MASTER      
-!       call histwrite(histid, 'phis', itau_w, phis(ijb:ije),
+!       CALL histwrite(histid, 'phis', itau_w, phis(ijb:ije),
 !     .                 iip1*jjn, ndex2d)
 !$OMP END MASTER
@@ -213,7 +213,7 @@
 !$OMP MASTER      
       if (ok_sync) then
-        call histsync(histid)
-        call histsync(histvid)
-        call histsync(histuid)
+        CALL histsync(histid)
+        CALL histsync(histvid)
+        CALL histsync(histuid)
       endif
 !$OMP END MASTER
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/calfis.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/calfis.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/calfis.F	(revision 5101)
@@ -101,5 +101,5 @@
 c    Arguments :
 c    -----------
-      LOGICAL,INTENT(IN) ::  lafin ! .true. for the very last call to physics
+      LOGICAL,INTENT(IN) ::  lafin ! .true. for the very last CALL to physics
       REAL,INTENT(IN):: jD_cur, jH_cur
       REAL,INTENT(IN) :: pvcov(iip1,jjm,llm) ! covariant meridional velocity
@@ -185,5 +185,5 @@
          write(lunout,*) '  ngridmx  jjm   iim   '
          write(lunout,*) ngridmx,jjm,iim
-         call abort_gcm("calfis", "", 1)
+         CALL abort_gcm("calfis", "", 1)
         ENDIF
       ELSE
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/gr_dyn_fi.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/gr_dyn_fi.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/gr_dyn_fi.F	(revision 5101)
@@ -23,5 +23,5 @@
 
       IF (ngrid/=2+(jm-2)*(im-1)) then
-         call abort_gcm("gr_dyn_fi", 'probleme de dim', 1)
+         CALL abort_gcm("gr_dyn_fi", 'probleme de dim', 1)
       end if
 c   traitement des poles
